summaryrefslogtreecommitdiff
path: root/standalone/android/buildchroot-inchroot
diff options
context:
space:
mode:
authorGravatar Joey Hess <joey@kitenet.net>2013-09-22 13:03:34 -0400
committerGravatar Joey Hess <joey@kitenet.net>2013-09-22 13:03:34 -0400
commit272a08e3773f56a07ef9163e191a6a76cd983d69 (patch)
tree46a4915d6a49f4a78afead903625ced2e8b49162 /standalone/android/buildchroot-inchroot
parentf159e8bccd823a9125f3134fba5a5dc3c7dd7df7 (diff)
new buildchroot script to automate android chroot setup
Diffstat (limited to 'standalone/android/buildchroot-inchroot')
-rwxr-xr-xstandalone/android/buildchroot-inchroot20
1 files changed, 20 insertions, 0 deletions
diff --git a/standalone/android/buildchroot-inchroot b/standalone/android/buildchroot-inchroot
new file mode 100755
index 000000000..2de76fb86
--- /dev/null
+++ b/standalone/android/buildchroot-inchroot
@@ -0,0 +1,20 @@
+#!/bin/sh
+# Runs inside the chroot set up by buildchroot
+set -e
+if [ "$(whoami)" != root ]; then
+ echo "Must run this as root!" >&2
+ exit 1
+fi
+
+mount -t proc proc /proc
+echo "deb-src http://ftp.us.debian.org/debian stable main" >> /etc/apt/sources.list
+apt-get update
+apt-get -y install build-essential ghc git libncurses5-dev cabal-install
+apt-get -y install llvm-3.0 # not 3.1; buggy on arm. 3.2 is ok too
+apt-get -y install ca-certificates curl file m4 autoconf zlib1g-dev
+apt-get -y install libgnutls-dev libxml2-dev libgsasl7-dev pkg-config c2hs
+wget http://snapshot.debian.org/archive/debian/20130903T155330Z/pool/main/a/automake-1.14/automake_1.14-1_all.deb
+dpkg -i automake*.deb
+rm *.deb
+useradd androidbuilder
+su androidbuilder -c $0-asuser